Subject: bug#34282: offload: error parsing derivation `*.drv': expected string `Derive(['

From: Mark H Weaver <[email-masked]>
Date: Fri, 01 Feb 2019 15:57:07 -0500

In the last day or so, I've seen three instances of an offloading error
that I'd never seen before, which causes builds to abort on Hydra.  So
far, they have all been offloads from hydra.gnu.org to
hydra-slave1.netris.org, a build slave which I maintain, and which is
currently running an older version of Guix, circa 0.12.0.  Here's an
excerpt of the nix log output of one of the failures:

--8<---------------cut here---------------start------------->8---
these derivations will be built:
  /gnu/store/rrjvc7hcycy5yfvp6cr2m1vcwqyvc863-r-chemometricswithr-0.1.13.drv
process 2744 acquired build slot '/var/guix/offload/hydra-slave1.netris.org/0'
process 2744 acquired build slot '/var/guix/offload/hydra-slave3.netris.org/0'
load on machine 'hydra-slave1.netris.org' is 1.8 (normalized: 0.9)
@ build-started /gnu/store/rrjvc7hcycy5yfvp6cr2m1vcwqyvc863-r-chemometricswithr-0.1.13.drv - armhf-linux /var/log/guix/drvs/rr//jvc7hcycy5yfvp6cr2m1vcwqyvc863-r-chemometricswithr-0.1.13.drv
sending 28 store items to 'hydra-slave1.netris.org'...
exporting path `/gnu/store/5qjsrh8dncv6sninnyydkzccmh89498r-r-fs-1.2.6.drv'
[...]
exporting path `/gnu/store/zrw4yckqa9g6a8zglkz7g0gfr6k78jl8-r-usethis-1.4.0'
guix offload: error: build failed: error parsing derivation `/gnu/store/5qjsrh8dncv6sninnyydkzccmh89498r-r-fs-1.2.6.drv': expected string `Derive(['
@ hook-failed /gnu/store/rrjvc7hcycy5yfvp6cr2m1vcwqyvc863-r-chemometricswithr-0.1.13.drv - 256 builder for `/gnu/store/rrjvc7hcycy5yfvp6cr2m1vcwqyvc863-r-chemometricswithr-0.1.13.drv' failed with exit code 1
error: build of `/gnu/store/rrjvc7hcycy5yfvp6cr2m1vcwqyvc863-r-chemometricswithr-0.1.13.drv' failed
--8<---------------cut here---------------end--------------->8---

These are the instances I've seen so far:

  https://hydra.gnu.org/build/3353101
  https://hydra.gnu.org/build/3352885
  https://hydra.gnu.org/build/3352564

      Mark